Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPASTDeleteExpression

All Superinterfaces:
  `IASTExpression`, `IASTImplicitDestructorNameOwner`, `IASTImplicitNameOwner`, `IASTInitializerClause`, `IASTNode`, `ICPPASTExpression`, `ICPPASTInitializerClause`

public interface ICPPASTDeleteExpression extends ICPPASTExpression, IASTImplicitNameOwner
This interface represents a delete expression. delete [] operand;

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`IASTExpression.ValueCategory`

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ASTNodeProperty`
`OPERAND`
`OPERAND` is the expression representing the pointer being deleted.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`EMPTY_EXPRESSION_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitDestructorNameOwner

`IMPLICIT_DESTRUCTOR_NAME`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitNameOwner

`IMPLICIT_NAME`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`ICPPASTDeleteExpression`
`copy()`
Returns a mutable copy of the tree rooted at this node.
`ICPPASTDeleteExpression`
`copy(IASTNode.CopyStyle style)`
Returns a mutable copy of the tree rooted at this node.
`IASTExpression`
`getOperand()`
Get the operand.
`boolean`
`isGlobal()`
Is this the global delete function called?
`boolean`
`isVectored()`
Is this a delete[] ?
`void`
`setIsGlobal(boolean global)`
Set this to be the global delete function called.
`void`
`setIsVectored(boolean vectored)`
Set this to be a vector delete.
`void`
`setOperand(IASTExpression expression)`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`getExpressionType, getValueCategory, isLValue`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitDestructorNameOwner

`getImplicitDestructorNames`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTImplicitNameOwner

`getImplicitNames`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTInitializerClause

`getEvaluation`

## Field Details

### OPERAND

static final ASTNodeProperty OPERAND
`OPERAND` is the expression representing the pointer being deleted.

## Method Details

### getOperand

IASTExpression getOperand()
Get the operand.

Returns:
  `IASTExpression`

### setOperand

void setOperand(IASTExpression expression)

Parameters:
  `expression` - `IASTExpression`

### setIsGlobal

void setIsGlobal(boolean global)
Set this to be the global delete function called.

Parameters:
  `global` - boolean

### isGlobal

boolean isGlobal()
Is this the global delete function called?

Returns:
  boolean

### setIsVectored

void setIsVectored(boolean vectored)
Set this to be a vector delete. ([])

Parameters:
  `vectored` - boolean

### isVectored

boolean isVectored()
Is this a delete[] ?

Returns:
  boolean

### copy

ICPPASTDeleteExpression copy()
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTExpression`
Specified by:
  `copy` in interface `IASTInitializerClause`
Specified by:
  `copy` in interface `IASTNode`
Since:
  5.1

### copy

ICPPASTDeleteExpression copy(IASTNode.CopyStyle style)
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTExpression`
Specified by:
  `copy` in interface `IASTInitializerClause`
Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3